gpio: devm_gpio_* support should not depend on GPIOLIB
[linux-3.10.git] / drivers / gpio / Makefile
index c5aebd0..36ca605 100644 (file)
@@ -2,7 +2,8 @@
 
 ccflags-$(CONFIG_DEBUG_GPIO)   += -DDEBUG
 
-obj-$(CONFIG_GPIOLIB)          += gpiolib.o devres.o
+obj-$(CONFIG_GPIO_DEVRES)      += devres.o
+obj-$(CONFIG_GPIOLIB)          += gpiolib.o
 obj-$(CONFIG_OF_GPIO)          += gpiolib-of.o
 obj-$(CONFIG_GPIO_ACPI)                += gpiolib-acpi.o